org.springframework.web.socket.sockjs.transport.handler

## Class XhrReceivingTransportHandler

- java.lang.Object
- - org.springframework.web.socket.sockjs.transport.handler.AbstractTransportHandler
  - - org.springframework.web.socket.sockjs.transport.handler.AbstractHttpReceivingTransportHandler
    - - org.springframework.web.socket.sockjs.transport.handler.XhrReceivingTransportHandler

All Implemented Interfaces:
  TransportHandler

    public class XhrReceivingTransportHandler
    extends AbstractHttpReceivingTransportHandler

A `TransportHandler` that receives messages over HTTP.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.web.socket.sockjs.transport.handler.AbstractTransportHandler

`logger`

### Constructor Summary

Constructors
Constructor and Description
`XhrReceivingTransportHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.springframework.http.HttpStatus` `getResponseStatus()`
`TransportType` `getTransportType()` Return the transport type supported by this handler.
`protected String[]` `readMessages(org.springframework.http.server.ServerHttpRequest request)`

### Methods inherited from class org.springframework.web.socket.sockjs.transport.handler.AbstractHttpReceivingTransportHandler

`checkSessionType, handleRequest, handleRequestInternal`

### Methods inherited from class org.springframework.web.socket.sockjs.transport.handler.AbstractTransportHandler

`getServiceConfig, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XhrReceivingTransportHandler

    public XhrReceivingTransportHandler()

### Method Detail

#### getTransportType

    public TransportType getTransportType()

Description copied from interface: `TransportHandler`
Return the transport type supported by this handler.

#### readMessages

    @Nullable
    protected String[] readMessages(org.springframework.http.server.ServerHttpRequest request)
                                       throws IOException

Specified by:
  `readMessages` in class `AbstractHttpReceivingTransportHandler`
Throws:
  `IOException`

#### getResponseStatus

    protected org.springframework.http.HttpStatus getResponseStatus()

Specified by:
  `getResponseStatus` in class `AbstractHttpReceivingTransportHandler`